/************ global styles ***************/
body
{
    font-size: 14px;
}

/************ header styles ***************/
header
{
    background-color: #333333;
    color: #D0D0D0;
}
header h1
{
    margin: 0px;
    padding: 15px 10px 15px 10px;
}
header h4
{
    position: absolute;
    right: 10px;
    top: 15px;
}

/************ navbar styles ***************/
.navbar
{
    margin-bottom: 0px;
    color: #333333;
}

.navbar-default .navbar-brand
{
    color: #333333;
}
.navbar-default .navbar-brand:hover
{
    color: #561420;
}

.navbar-default .navbar-nav li>a, .dropdown-menu li a,
.navbar-default .navbar-nav .open .dropdown-menu li a
{
    color: #333333;
}
.dropdown-menu li a:hover, .navbar-default .navbar-nav li>a:hover,
.navbar-default .navbar-nav .open .dropdown-menu li>a:hover
{
    background-color: #561420;
    color: #FFF;
}

.dropdown-menu .divider
{
    background-color: #333333;
    margin-left: 10px;
    margin-right: 10px;
}

.navbar-brand
{
    padding: 5px;
}
.navbar-brand img
{
    height: 100%;
}

/************ content styles ***************/
main
{
    background-image: url('/Content/assets/city.jpg');
    background-position: center;
    background-size: cover;
    padding-top: 75px;
    padding-bottom: 75px;
}
main section
{
    margin-left: 10%;
    margin-right: 10%;
    background-color: rgba(86, 20,  32, 0.92); /* #561420 with 92% opacity */
    color: #FFF;
    padding: 30px;
}

main h1, main h2, main h3, main h4, main h5
{
    margin-top: 5px;
}

main a
{
    color: #FF3D60;
}
main a:hover
{
    color: #FFF;
}

/************ footer styles ***************/
footer
{
    padding: 15px;
}

footer ul
{
    list-style: none;
    padding: 0px;
}

footer ul li a
{
    color: #333333;
    text-decoration: underline;
}
footer ul li a:hover
{
    color: #561420;
}

footer h4
{
    margin-bottom: 0px;
    color: #561420;
}

/************ expense styles ***************/
.add-exp-button 
{
    margin-right: 10px;
    background-color: #F0F0F0;
    border-color: #F0F0F0;
    border-radius: 5px 5px 5px 5px;
    -moz-border-radius: 5px 5px 5px 5px;
    -webkit-border-radius: 5px 5px 5px 5px;
}
.add-exp-button:hover
{
    background-color: #C0C0C0;
    border-color: #C0C0C0;
}
.add-exp-button img
{
    width: 75px;
}

#carDetails label, #planeDetails label, #trainDetails label
{
    width: 400px;
}
#carDetails input[type="text"], #planeDetails input[type="text"], #trainDetails input[type="text"], 
#carDetails input[type="number"], #planeDetails input[type="number"], #trainDetails input[type="number"]
{
    float: right;
}

input[type="submit"]
{
    color: #561420;
    min-width: 100px;
    height: 35px;
}

#carDetails, #planeDetails, #trainDetails, #carResults, #planeResults, #trainResults
{
    height: 300px;
}

/************ history styles ***************/
#chartKey
{
    padding: 5px;
    background-color: #FFF;
    color: #000;
    width: 150px;
    margin-bottom: 15px;
}
#chartKey #color1
{
    background-color: #49111C;
}
#chartKey #color2
{
    background-color: #863040;
}
#chartKey #color3
{
    background-color: #FF3D60;
}

/************ form styles ***************/
input
{
    color: #000;
}

/********** bootstrap overrides**********/

.btn-default
{
    background-color: #C0C0C0;
}

.btn-primary
{
    background-color: #561420;
    color: #FFF;
}
.btn-primary:hover
{
    background-color: #CC304D;
    color: #FFF;
}

.btn-register, .btn-login, .btn-change
{
    background-color: #FFF;
    color: #561420;
}
.btn-register:hover, .btn-login:hover, .btn-change:hover
{
    background-color: #C0C0C0;
    color: #000;
}

.close
{
    color: #561420;
}

.modal-header, .modal-footer
{
    border: none;
}

hr
{
    border-color:  #561420;
}

/********** autocomplete overrides**********/

.ui-autocomplete li
{
    background: #FF3D60;
    border-radius: 0px;
}
.ui-autocomplete li:hover
{
    background: #FFF;
    color: #000;
    border-radius: 0px;
}